## org.eclipse.datatools.sqltools.sqlbuilder.expressionbuilder.caseexpr
Class CaseElseClauseElement

    java.lang.Object
      org.eclipse.datatools.sqltools.sqlbuilder.expressionbuilder.caseexpr.CaseElseClauseElement

    public class CaseElseClauseElement

extends java.lang.Object

Constructor Summary
`CaseElseClauseElement(ValueExpressionCaseSearch caseSearchClause)`
`CaseElseClauseElement(ValueExpressionCaseSimple caseSimpleClause)`

Method Summary
`void` `deleteElseCondition()`
`java.lang.String` `getColumnText(int columnIndex)`
`java.lang.Object` `getResult()`
`ValueExpressionCaseSearch` `getSQLCaseSearchWhenClause()`
`ValueExpressionCaseSimple` `getSQLCaseSimpleWhenClause()`
`void` `setResult(java.lang.Object resultObj)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CaseElseClauseElement

    public CaseElseClauseElement(ValueExpressionCaseSearch caseSearchClause)

### CaseElseClauseElement

    public CaseElseClauseElement(ValueExpressionCaseSimple caseSimpleClause)

Method Detail

### getSQLCaseSearchWhenClause

    public ValueExpressionCaseSearch getSQLCaseSearchWhenClause()

### getSQLCaseSimpleWhenClause

    public ValueExpressionCaseSimple getSQLCaseSimpleWhenClause()

### setResult

    public void setResult(java.lang.Object resultObj)

### getResult

    public java.lang.Object getResult()

### getColumnText

    public java.lang.String getColumnText(int columnIndex)

### deleteElseCondition

    public void deleteElseCondition()